Subject: [PATCH 01/11] OMAP2+: Add SoC specific map_io functions

From: [email-masked] (Cousson, Benoit)
Date: Mon, 14 May 2012 17:06:11 +0200

Salut Thomas,

Sorry for the delay.

On 5/4/2012 5:59 PM, Thomas Petazzoni wrote:
> Hello Benoit,
>
> Le Fri, 23 Sep 2011 22:23:09 +0200,
> Benoit Cousson<[email-masked]>  a ?crit :
>
>> Add SoC specific map_io function to be used by the generic DT
>> board file. This is an intermediate step before having some
>> generic DT aware map_io function.
>>
>> Signed-off-by: Benoit Cousson<[email-masked]>
>> Cc: Tony Lindgren<[email-masked]>
>
> Do you know if some progress has been made on having a generic DT aware
> map_io function, or is the per-SoC ->map_io() function still the
> recommended way of handling SoC having different requirements of static
> mappings at boot time?

Mmm, Maybe I'm wrong, but I'm not sure people are really pushing to 
store that inside DT. But to be honest, I don't really know :-)

Tony might have some clue.

Regards,
Benoit